mscorlib 4.0.0.0 System.Object System.IDisposable

For more information, see Cancellation.

Signals to a that it should be canceled.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The countdown for the starts during the call to the constructor. When the expires, the constructed is canceled (if it has not been canceled already).

  Subsequent calls to will reset the for the constructed , if it has not been canceled already.

  Initializes a new instance of the class that will be canceled after the specified delay in milliseconds.

  The time span to wait before canceling this .
- Constructor
  4.0.0.0

  The countdown for the delay starts during the call to the constructor. When the delay expires, the constructed is canceled, if it has not been canceled already.

  Subsequent calls to will reset the delay for the constructed , if it has not been canceled already.

  Initializes a new instance of the class that will be canceled after the specified time span.

  The time span to wait before canceling this .
- Method
  4.0.0.0
  System.Void

  The associated will be notified of the cancellation and will transition to a state where returns true.

  Any callbacks or cancelable operations registered with the will be executed.

  Cancelable operations and callbacks registered with the token should not throw exceptions.

  However, this overload of Cancel will aggregate any exceptions thrown into an , such that one callback throwing an exception will not prevent other registered callbacks from being executed.

  The that was captured when each callback was registered will be reestablished when the callback is invoked.

  Communicates a request for cancellation.

- Method
  4.0.0.0
  System.Void ``

  The associated will be notified of the cancellation and will transition to a state where returns true.

  Any callbacks or cancelable operations registered with the will be executed.

  Cancelable operations and callbacks registered with the token should not throw exceptions.

  If is true, an exception will immediately propagate out of the call to , preventing the remaining callbacks and cancelable operations from being processed.

  If is false, this overload will aggregate any exceptions thrown into an , such that one callback throwing an exception will not prevent other registered callbacks from being executed.

  The that was captured when each callback was registered will be reestablished when the callback is invoked.

  Communicates a request for cancellation, and specifies whether remaining callbacks and cancelable operations should be processed.

  true if exceptions should immediately propagate; otherwise, false.
- Method
  4.0.0.0
  System.Void ``

  The countdown for the starts during this call. When the expires, this is canceled, if it has not been canceled already.

  Subsequent calls to CancelAfter will reset the for this , if it has not been canceled already.

  Schedules a cancel operation on this after the specified number of milliseconds.

  The time span to wait before canceling this .
- Method
  4.0.0.0
  System.Void `` To be added.

  Schedules a cancel operation on this after the specified time span.

  The time span to wait before canceling this .
- Method
  4.0.0.0
  System.Threading.CancellationTokenSource `System.ParamArray` To be added.

  Creates a that will be in the canceled state when any of the source tokens in the specified array are in the canceled state.

  A that is linked to the source tokens.

  An array that contains the cancellation token instances to observe.
- Method
  4.0.0.0
  System.Threading.CancellationTokenSource `` `` To be added.

  Creates a that will be in the canceled state when any of the source tokens are in the canceled state.

  A that is linked to the source tokens.

  The first cancellation token to observe. The second cancellation token to observe.
- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Releases the unmanaged resources used by the class and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  4.0.0.0
  System.Boolean To be added.

  This property indicates whether cancellation has been requested for this token source, such as due to a call to its method.

  If this property returns true, it only guarantees that cancellation has been requested. It does not guarantee that every handler registered with the corresponding token has finished executing, nor that cancellation requests have finished propagating to all registered handlers. Additional synchronization may be required, particularly in situations where related objects are being canceled concurrently.

  Gets whether cancellation has been requested for this .

- Property
  4.0.0.0
  System.Threading.CancellationToken To be added. To be added.

  Gets the associated with this .